Subject: 31.0.50; enable-theme-functions fires twice after a load-theme

From: Filippo Argiolas <[email-masked]>
Date: Sun, 23 Mar 2025 18:54:14 +0100

Hi,

I noticed that my `enable-theme-functions' hook always fires twice after
either a `load-theme' or a `enable-theme'.

Problem is `enable-theme' in custom.el always also enables the user
theme to push it on top of the list.

Is this desired?

Technically I'd say it's correct, two enables spark two hooks, buyt from the
user point of view seems a counterintuitive side effect without digging
into the code.

Filippo